# Visualization
TKV2d
Prs2d

# Prs2d_AspectFramedText Class Reference

defines the attributes when drawing a framed text Presentation.

`#include <Prs2d_AspectFramedText.hxx>`

Inheritance diagram for Prs2d_AspectFramedText:

[legend]

## Public Member Functions

Standard_EXPORT | Prs2d_AspectFramedText (const Quantity_NameOfColor ColorInd, const Quantity_NameOfColor FrameColorInd, const Aspect_WidthOfLine FrameWidthInd, const Aspect_TypeOfFont FontInd, const Standard_ShortReal aSlant, const Standard_ShortReal aHScale, const Standard_ShortReal aWScale, const Standard_Boolean isUnderlined)
Standard_EXPORT void | SetColorOfText (const Quantity_NameOfColor aColor)
Standard_EXPORT void | SetFrameColor (const Quantity_NameOfColor aFrameColor)
Standard_EXPORT void | SetFrameWidth (const Aspect_WidthOfLine aFrameWidth)
Standard_EXPORT void | SetFontOfText (const Aspect_TypeOfFont aFont)
Standard_EXPORT void | SetSlant (const Standard_ShortReal aSlant)
Standard_EXPORT void | SetHScale (const Standard_ShortReal aHScale)
Standard_EXPORT void | SetWScale (const Standard_ShortReal aWScale)
Standard_EXPORT void | SetUnderlined (const Standard_Boolean anIsUnderlined)
Standard_EXPORT void | Values (Quantity_NameOfColor &aColorInd, Quantity_NameOfColor &aFrameColorInd, Aspect_WidthOfLine &aFrameWidthInd, Aspect_TypeOfFont &aFontInd, Standard_ShortReal &aSlant, Standard_ShortReal &aHScale, Standard_ShortReal &aWScale, Standard_Boolean &isUnderlined) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Quantity_NameOfColor | myColor
Quantity_NameOfColor | myFrameColor
Aspect_TypeOfFont | myFont
Aspect_WidthOfLine | myFrameWidth
Standard_ShortReal | mySlant
Standard_ShortReal | myHScale
Standard_ShortReal | myWScale
Standard_Boolean | myIsUnderlined

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_AspectFramedText::Prs2d_AspectFramedText | ( | const Quantity_NameOfColor | ColorInd,
|  | const Quantity_NameOfColor | FrameColorInd,
|  | const Aspect_WidthOfLine | FrameWidthInd,
|  | const Aspect_TypeOfFont | FontInd,
|  | const Standard_ShortReal | aSlant,
|  | const Standard_ShortReal | aHScale,
|  | const Standard_ShortReal | aWScale,
|  | const Standard_Boolean | isUnderlined
| ) |

## Member Function Documentation

Standard_EXPORT const Prs2d_AspectFramedText::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs2d_AspectRoot.

Standard_EXPORT void Prs2d_AspectFramedText::SetColorOfText | ( | const Quantity_NameOfColor | aColor | ) |

Standard_EXPORT void Prs2d_AspectFramedText::SetFontOfText | ( | const Aspect_TypeOfFont | aFont | ) |

Standard_EXPORT void Prs2d_AspectFramedText::SetFrameColor | ( | const Quantity_NameOfColor | aFrameColor | ) |

Standard_EXPORT void Prs2d_AspectFramedText::SetFrameWidth | ( | const Aspect_WidthOfLine | aFrameWidth | ) |

Standard_EXPORT void Prs2d_AspectFramedText::SetHScale | ( | const Standard_ShortReal | aHScale | ) |

Standard_EXPORT void Prs2d_AspectFramedText::SetSlant | ( | const Standard_ShortReal | aSlant | ) |

Standard_EXPORT void Prs2d_AspectFramedText::SetUnderlined | ( | const Standard_Boolean | anIsUnderlined | ) |

Standard_EXPORT void Prs2d_AspectFramedText::SetWScale | ( | const Standard_ShortReal | aWScale | ) |

Standard_EXPORT void Prs2d_AspectFramedText::Values | ( | Quantity_NameOfColor & | aColorInd,
|  | Quantity_NameOfColor & | aFrameColorInd,
|  | Aspect_WidthOfLine & | aFrameWidthInd,
|  | Aspect_TypeOfFont & | aFontInd,
|  | Standard_ShortReal & | aSlant,
|  | Standard_ShortReal & | aHScale,
|  | Standard_ShortReal & | aWScale,
|  | Standard_Boolean & | isUnderlined
| ) | const

## Field Documentation

Quantity_NameOfColor Prs2d_AspectFramedText::myColor `[private]`

Aspect_TypeOfFont Prs2d_AspectFramedText::myFont `[private]`

Quantity_NameOfColor Prs2d_AspectFramedText::myFrameColor `[private]`

Aspect_WidthOfLine Prs2d_AspectFramedText::myFrameWidth `[private]`

Standard_ShortReal Prs2d_AspectFramedText::myHScale `[private]`

Standard_Boolean Prs2d_AspectFramedText::myIsUnderlined `[private]`

Standard_ShortReal Prs2d_AspectFramedText::mySlant `[private]`

Standard_ShortReal Prs2d_AspectFramedText::myWScale `[private]`

The documentation for this class was generated from the following file:

- Prs2d_AspectFramedText.hxx